Redmine - Defect #967

No way to do textile horizontal rule
2008-03-31 20:56 - Rocco Stanzione

Status: Closed Start date: 2008-03-31
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 0.7.2

Resolution: Fixed Affected version:

Description

There doesn't appear to be a way to put <hr /> tags in a textilized item. This is supported by redcloth, but not Redmine wiki

formatting.

Associated revisions

Revision 1389 - 2008-05-01 10:44 - Jean-Philippe Lang

Add Redcloth's :block_markdown_rule to allow horizontal rules in wiki (#967).

History

#1 - 2008-03-31 23:25 - Jean-Philippe Lang

There's no textile tag for horizontal rule.

<hr /> is an html tag and as of r1216 they are escaped in wiki.

Concerning patch #968, i'm not very comfortable with adding all the markdown rules.
Maybe we could add #block_markdown_rule only (the one that handles hr). What do you think ?

#2 - 2008-04-02 17:32 - Rocco Stanzione

That solves my immediate problem, and we can add other specific markdown rules as necessary later, so I'm happy with that solution.

#3 - 2008-05-01 10:44 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.8

- Resolution set to Fixed

Rule added in r1389.

#4 - 2008-05-18 18:53 - Jean-Philippe Lang

- Target version changed from 0.8 to 0.7.2
https://www.redmine.org/projects/redmine/repository/svn/revisions/1216
http://www.tcpdf.org

